{ config, flake-inputs, ... }:
{
  imports = [ flake-inputs.sonnenshift.nixosModules.default ];

  services.batteryManager = {
    enable = true;

    emailFile = "${config.sops.secrets."battery-manager/email".path}";
    passwordFile = "${config.sops.secrets."battery-manager/password".path}";

    settings = {
      battery_id = "3ca39300-c523-4315-b9a3-d030f85a9373";
      log_level = "DEBUG";
    };
  };

  sops.secrets = {
    "battery-manager/email" = { };
    "battery-manager/password" = { };
  };
}
